Plesk\backup\Agent\Schema\Backup\CustomButton\CustomButtonAType:
    properties:
        url:
            expose: true
            access_type: public_method
            serialized_name: url
            accessor:
                getter: getUrl
                setter: setUrl
            xml_attribute: true
            type: string
        text:
            expose: true
            access_type: public_method
            serialized_name: text
            accessor:
                getter: getText
                setter: setText
            xml_attribute: true
            type: string
        sortPriority:
            expose: true
            access_type: public_method
            serialized_name: sort-priority
            accessor:
                getter: getSortPriority
                setter: setSortPriority
            xml_attribute: true
            type: string
        interfacePlace:
            expose: true
            access_type: public_method
            serialized_name: interface-place
            accessor:
                getter: getInterfacePlace
                setter: setInterfacePlace
            xml_attribute: true
            type: string
        conhelp:
            expose: true
            access_type: public_method
            serialized_name: conhelp
            accessor:
                getter: getConhelp
                setter: setConhelp
            xml_attribute: true
            type: string
        openInSameFrame:
            expose: true
            access_type: public_method
            serialized_name: open-in-same-frame
            accessor:
                getter: getOpenInSameFrame
                setter: setOpenInSameFrame
            xml_attribute: true
            type: string
        visibleToSublogins:
            expose: true
            access_type: public_method
            serialized_name: visible-to-sublogins
            accessor:
                getter: getVisibleToSublogins
                setter: setVisibleToSublogins
            xml_attribute: true
            type: string
        noFrame:
            expose: true
            access_type: public_method
            serialized_name: no-frame
            accessor:
                getter: getNoFrame
                setter: setNoFrame
            xml_attribute: true
            type: string
        content:
            expose: true
            access_type: public_method
            serialized_name: content
            xml_element:
                cdata: false
            accessor:
                getter: getContent
                setter: setContent
            type: Plesk\backup\Agent\Schema\Backup\Content
        urlOption:
            expose: true
            access_type: public_method
            serialized_name: url-option
            xml_element:
                cdata: false
            accessor:
                getter: getUrlOption
                setter: setUrlOption
            xml_list:
                inline: true
                entry_name: url-option
            type: array<Plesk\backup\Agent\Schema\Backup\UrlOption>
        templatePlanItem:
            expose: true
            access_type: public_method
            serialized_name: template-plan-item
            xml_element:
                cdata: false
            accessor:
                getter: getTemplatePlanItem
                setter: setTemplatePlanItem
            type: Plesk\backup\Agent\Schema\Backup\TemplatePlanItem
